image: node:latest

stages:
  - build
  - test
  - deploy

cache:
  paths:
    - node_modules/

Build:
  stage: build
  script:
    - npm i

Test with Jest:
  stage: test
  script:
    - npm test

Deploy:
  stage: deploy
  when: manual
  only:
    - master
  script:
    - echo "Deploy master"